# Install.cmd script for the robot system rel 4.0
#
# Install questions
#    var 1  = irb type
#    var 2  = mounting type
#    var 3  = irb variant
#    var 10 = temp use.
echo -text ""
echo -text "No Manipulator "
echo -text "(Virtual robot)"
echo -text "in S4Cplus"
echo -text ""
#IRB_VIRTUAL
echo -text "Installing config for No Manipulator"
install -resource Function -name "IRB" -descr "No Manipulator"
config -filename  $BOOTPATH/irbcfg/m_virt_s.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/m_virt_i.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/m_virt_e.cfg -domain MOC
if -var 9 -value 50 -label USER_QUERY
setvar -var 10 -value 0
getkey -id "DriveSelect" -var 10 -strvar $ANSWER -errlabel USER_QUERY
goto -strvar $ANSWER
#USER_QUERY
echo -text "Select type of DC link"
query -text " DC0     DC1     DC2     DC3     SCAN" \
     -text2 " DC4     DC5     DC6             SCAN" -var 10 -fk_text
if -var 10 -value 10 -label DC0
if -var 10 -value 20 -label DC1
if -var 10 -value 30 -label TYPE_DC2_SELECT
if -var 10 -value 40 -label DC3
if -var 10 -value 110 -label TYPE_DC4_SELECT
if -var 10 -value 120 -label DC5
if -var 10 -value 130 -label DC6
if -var 10 -value 140 -label DC6
goto -label END_LABEL
#TYPE_DC2_SELECT
echo -text "Select type of DC2 link"
query -text " DC2     DC2C    DC2T" -var 10 -fk_text
if -var 10 -value 10 -label DC2
if -var 10 -value 20 -label DC2C
if -var 10 -value 30 -label DC2T
if -var 10 -value 40 -label DC2T
if -var 10 -value 50 -label DC2T
goto -label END_LABEL
#TYPE_DC4_SELECT
echo -text "Select type of DC4 link"
query -text " DC4     DC4C    DC4U" -var 10 -fk_text
if -var 10 -value 10 -label DC4
if -var 10 -value 20 -label DC4C
if -var 10 -value 30 -label DC4U
if -var 10 -value 40 -label DC4U
if -var 10 -value 50 -label DC4U
goto -label END_LABEL
#DC0
config -filename  $BOOTPATH/../drive_lib/dc0_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo1c1.cfg -domain MOC -internal
goto -label END_LABEL
#DC1
config -filename  $BOOTPATH/../drive_lib/dc1_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo1c1.cfg -domain MOC -internal
goto -label END_LABEL
#DC2
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
goto -label END_LABEL
#DC2T
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/drive7_dc2t_c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#DC2C
config -filename  $BOOTPATH/../drive_lib/dc2c_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/drive7_dc2c_c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#DC3
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
goto -label END_LABEL
#DC4
config -filename  $BOOTPATH/../drive_lib/dc4_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo5c1.cfg -domain MOC -internal
goto -label END_LABEL
#DC4C
config -filename  $BOOTPATH/../drive_lib/dc4c_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo5c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/drive7_dc4c_c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#DC4U
config -filename  $BOOTPATH/../drive_lib/dc4u_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/trafo5c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/drive7_dc4u_c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#DC5
echo -text "Installing config for DC link (DC5)"
config -filename  $BOOTPATH/../drive_lib/t40025c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc67c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#DC6
echo -text "Installing config for DC link (DC6)"
config -filename  $BOOTPATH/../drive_lib/t47525c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc67c1b1.cfg -domain MOC -internal
goto -label END_LABEL
#END_LABEL

      